import request from '@/utils/request'

// 查询银行卡信息列表
export function listBankinfo(query) {
  return request({
    url: '/szxc/bankinfo/list',
    method: 'get',
    params: query
  })
}

// 查询银行卡信息详细
export function getBankinfo(id) {
  return request({
    url: '/szxc/bankinfo/' + id,
    method: 'get'
  })
}

// 新增银行卡信息
export function addBankinfo(data) {
  return request({
    url: '/szxc/bankinfo',
    method: 'post',
    data: data
  })
}

// 修改银行卡信息
export function updateBankinfo(data) {
  return request({
    url: '/szxc/bankinfo',
    method: 'put',
    data: data
  })
}

// 删除银行卡信息
export function delBankinfo(id) {
  return request({
    url: '/szxc/bankinfo/' + id,
    method: 'delete'
  })
}

// 修改银行卡信息
export function editDefault(data) {
  return request({
    url: '/szxc/bankinfo/editDefault',
    method: 'put',
    data: data
  })
}
